[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'MaskEdit' (#lcl)

# EDBEditError

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Exception class raised for an error in a masked edit control.

## Declaration

Source position: maskedit.pp line 152

`type EDBEditError = class(Exception)`

## Inheritance

`EDBEditError` |  | Exception class raised for an error in a masked edit control.
`Exception`
?
`TObject`

## Description

Raised in the TCustomMaskEdit.ValidateEdit method when exiting the edit control where its text is in an invalid state for its edit mask.

Remark: | Despite the name, this exception has nothing to do with a database error.